myapps:
  signature:
    #是否开启签章业务  true 为开启  false 为 关闭
    enable: false
    #未签章pdf生成目录{sid}为队列对应数据id
    unSignaturePDF: /uploads/pdf/dianziqianzhang/temp/queueId_{sid}.pdf
    #已签章pdf存储路径
    signaturePDF: /uploads/pdf/dianziqianzhang/out/queueId_{sid}.pdf
    tempPDF: /uploads/pdf/dianziqianzhang/temp
    api: http://v5in.te.baibaodun.com.cn/kms/shared/convert/htmltopdf
    apiScan: http://v5in.te.baibaodun.com.cn/kms/shared/convert/scanSignature
    apiCopy: http://v5in.te.baibaodun.com.cn/kms/shared/convert/pdfCopy
    schedule: 0 0/5 * * * ?
  screeninng:
    applicationId: __wGomeHJBz6CpLFCCl4y
    domainId: xduDIOSsi06qmfpig0A
    intervalDay: 5
    #是否开启背景筛查  true 为开启  false 为 关闭
    enable: true
    #公安内网api 开启背景筛查必须填写此项  当地公安内网的地址
    api: http://v5auth.test.bcxin.com.cn/background/personnelReview?idNumber=
    #业务中不同环境指定不同的server
    serverKey: bsp_mock
    schedule:
      timing: 0 0/5 * * * ?
      induction: 0 0/5 * * * ?
  authentication:
    applicationId: __wGomeHJBz6CpLFCCl4y
    #是否开启实名认证  true 为开启  false 为 关闭
    enable: true
    #公安内网api 开启背景筛查必须填写此项  当地公安内网的地址
    api: http://v5auth.test.bcxin.com.cn/peopleInfo/PersonnelAuth
    #业务中不同环境指定不同的server
    serverKey: auth_common
    #定时器每分钟执行一次
    timing: 0 */1 * * * ?
  storage:
    root: /data/workspace/v5-runing/security-in-mysql/storage
  domain:
    url: https://v5qy.te.baibaodun.com.cn/obpm
  synced:
    #公安内网出来的都需要走FTP摆渡服务代理
    proxied-targets:
      - http://v5in.te.baibaodun.com.cn/obpm
  supervise:
    region-id: 430000
    system-admin: shouldbedomainId
    src-app: http://v5in.te.baibaodun.com.cn/obpm
    target-app: http://v5qy.te.baibaodun.com.cn/obpm
    callback-url: http://v5in.te.baibaodun.com.cn/obpm/v2/sync/ftp/callback
    target-service-url: /v2/sync/ftp/data-import
  nxgjApi:
    #是否开启宁夏背景筛查  true 为开启  false 为 关闭
    enable: true
    #宁夏数据归集接口
    gjurl: https://zwfw.gat.nx.gov.cn/osc-cs/docking/tsk-apply/collection
    #获取宁夏归集token
    tokenUrl: https://zwfw.gat.nx.gov.cn/osc-cs/docking/tsk-apply/res_token
    #账号
    NX_CLIENTID: nx_bjgj_test
    #密码
    NX_SECRETID: nxbjgjtest
    #每日定时推送宁夏归集数据(五分钟触发一次) cron = "0 0 1 * * ? 开启必填
    nxgjschedule: 0 0/5 * * * ?
    #域名配置 开启必填
    DN: https://v5in.te.baibaodun.com.cn
spring:
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    url: jdbc:mysql://220.243.148.23:2333/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
    username: bcx
    password: Wstestv5in#2022
    type: com.zaxxer.hikari.HikariDataSource
    #背景筛查数据源 （开启背景筛查也要配置这里） 筛查的数据的数据源地址，也就是当地公安数据库地址在这里配置  screen  当前配置的是北京的，换湖南背景筛查时，要换为湖南公安的内网数据库
    screen:
      jdbc-url: jdbc:mysql://220.243.148.23:2333/securityflow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
      username: bcx
      password: Wstestv5in#2022
      driver-class-name: com.mysql.cj.jdbc.Driver
    baoan:
      driver-class-name: com.mysql.cj.jdbc.Driver
      url: jdbc:mysql://220.243.148.23:2333/baibaodunflow?characterEncoding=UTF-8&serverTimezone=GMT
      username: bcx
      password: Wstestv5in#2022
      type: com.zaxxer.hikari.HikariDataSource
    nx-government:
      jdbc-url: jdbc:mysql://220.243.148.23:2333/securityflow?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
      username: bcx
      password: Wstestv5in#2022
      driver-class-name: com.mysql.cj.jdbc.Driver
db:
  organization:
    name: organizationAuth
#站点的图片前缀地址
site:
  resource:
    prefix: http://v5in.te.baibaodun.com.cn/obpm
saas:
  backend:
    defaultMax: 1000
    interval: 3600


file:
  mode:
    useFtp: true
    host: 172.31.0.15
    userName: wstein-ftp
    password: Bcx#20221209
    port: 21
    filePath: /data/ftptest/snupload

scheduled:
  fixedDelay:
    sync:
      data:
        ftp: 300000
        directly: 300000
      file:
        ftp: 300000
        directly: 300000
      form: 300000